function init()
	gun.name = "Ankh"
	gun.shotdamage = 14
	gun.shotknockback = 9000
	
	gun.enabled = 0			--can't fire until ability triggers it

	return 0
end

function update()
	return 0
end

function fire()
	
	rad = 6
	spread = 180
	--two waves of it
	for dyad = 0, 1 do
		for i = -rad, (rad-1) do
			gun.addShot("trailmissile.png", gun.firex, gun.firey, gun.firetheta, 1)
			shot.movrot = i*(spread/rad)
			shot.damage = 2
			shot.knockback = 1500
			shot.speed = 700 - 500*dyad
			shot.setRange(1050 - 200*dyad)
			shot.alpha = .3
			shot.blend = "light"
			shot.fadeTime = 100
		end
	end
	
	--re-disable the gun just to be tidy
	gun.enabled = 0
	return 0
end

function shot_update()

	return 0
end